﻿Type=Class
Version=1
B4J=true
@EndOfDesignText@
' Class module
' This file is part of a B4J project
'                                                                              
' Copyright (c) 2013 Robert W.B. Linn, Pinneberg, Germany                      
'                                                                              
' This Is free software: you can redistribute it AND/OR modify it under        
' the terms of the GNU General Public License As published by the Free Software
' Foundation, either version 3 of the License, OR (at your option) any later   
' version. This application Is distributed WITHOUT ANY WARRANTY; without even  
' the implied warranty of MERCHANTABILITY OR FITNESS For A PARTICULAR PURPOSE. 
' See the GNU General Public License For more details.                         
' You should have received a copy of the GNU General Public License along with 
' this application. If Not, www.gnu.org/licenses/.                             
'                                                                              
' Author: Robert W.B. Linn, Pinneberg, Germany                                 
' Internet, E-Mail: www.rwblinn.de , robert@rwblinn.de                         
' Read readme.txt For latest information                                       
'                                                         
' Example how to call from another form idc the mainform. Note that AboutForm is listed as a class
'	Dim af As InputForm
'	Dim rt As Boolean		' Returncode from the form
'	af.Initialize(MainForm, title, input, default, tooltip)
'	rt = af.Show			' Show the form and capture return value
'	If rt = True Then 
'		Return af.textfieldInput.Text
'	Else
'		Return ""
'	End If
'	Log("InputDialog Return: " & rt & " [" & af.textfieldInput.Text & "]")
'
Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Dim labelInput As Label
	Dim textfieldInput As TextField
	Dim tooltipInputField As Node
	Dim buttonCancel As Button
	Dim buttonOK As Button
	Public Result As Boolean
End Sub

' Initializes the form using parameter
' Parent: The form which calls this module (MainForm, see Module Main)
' Title: The Title to show at the caption
' Inputlabel: The Label show above inputfield
' Default: The Default Input Value
' Tooltip: The tooltip for the inputfield
Public Sub Initialize (Parent As Form, title As String, input As String, default As String, tooltip As String)
	' Init the form. Form size is set to best size
	frm.Initialize("frm", -1, -1)
	' Give the form a title and make it a utility form (toolbox type of form)
	frm.title = title
	frm.SetFormStyle("UTILITY")
	' Load the layout - simple form with a label and inputfield
	frm.RootPane.LoadLayout("InputForm")
	frm.BackColor = fx.Colors.White
	' Set the label input text
	labelInput.Text = input
	textfieldInput.Text = default
	textfieldInput.TooltipText = tooltip
End Sub

' Show the form. A result can be set. In this case using an integer (my year of birth = just to test)
Public Sub Show As String
	frm.ShowAndWait	
	Return Result
End Sub

' Close the form
Sub frm_CloseRequest (EventData As Event)
	' Log("Form closed via close request")
	Result = False
End Sub

' Close the dialog. Result is textfieldInput content
Sub buttonOK_Action
	Result = True	
	frm.Close	
End Sub

' Cancel the dialog - set inputtext empty
Sub buttonCancel_Action
	Result = False	
	frm.Close	
End Sub